[Rozw.] Pakiety TXZ a upgrade systemu

Instalacja Slackware Linux, problemy i wstępna konfiguracja, aktualizacje do nowszych wersji.

Moderatorzy: Moderatorzy, Administratorzy

Awatar użytkownika
Juzef
Użytkownik
Posty: 202
Rejestracja: 2006-02-11, 15:16
Lokalizacja: Wrocław
Kontakt:

[Rozw.] Pakiety TXZ a upgrade systemu

Post autor: Juzef »

Oh, hai!
Z samego rana zauważyłem, że jest aktualizacja w current, więc zapuściłem upgrade Swaretem, a tu lipa - nowy format pakietów .txz. Swaret tego nie chce łykać, wziąłem Slackpkg i upgrade-all. Ale ten też rady nie daje - ściąga pierwszy pakiet, po czym wali błędem:

Kod: Zaznacz cały

Pre-installing package glibc-solibs-2.9-i486-3...
ERROR:  Package ./glibc-solibs-2.9-i486-3.txz did not install
correctly.  You may need to reinstall your old package
to avoid problems.  Make sure the new package is not
corrupted.
Nie znalazłem żadnych wskazówek odnośnie upgrade'u, czy więc muszę wszystkie tgz'y wpierw usunąć a potem instalować nowe?
pzdr
Juzwa
Ostatnio zmieniony 2009-05-09, 15:16 przez Juzef, łącznie zmieniany 1 raz.
largo3
Moderator
Posty: 1297
Rejestracja: 2006-06-11, 11:08

Re: [Rozw.] Pakiety TXZ a upgrade systemu

Post autor: largo3 »

Spróbuj zaktualizować najpierw slackpkg i pkgtools.
UNIX is basically a simple operating system, but you have to be a genius to understand the simplicity.
-- Dennis Ritchie
Linux Registered User #419452
Awatar użytkownika
Hannibal
Moderator w st. spocz.
Posty: 1644
Rejestracja: 2004-06-08, 16:03
Lokalizacja: Łódź
Kontakt:

Re: [Rozw.] Pakiety TXZ a upgrade systemu

Post autor: Hannibal »

Na początek zrób update tych sciągaczek, pgtoolsów i zainstaluj xz. Jak nie pomoże będziesz musiał poczekać aż te toolsy zaczną wspierać nowy rodzaj paczek.

Nie spodziewałem się że Pat wprowadzi txz do oficjalnego repozytorium tak szybko. Sam przed chwilą poprawiałem swój skrypcik do updateów :mrgreen:.
[size=75]Hannibal@current@2.6.X[/size]
Awatar użytkownika
Juzef
Użytkownik
Posty: 202
Rejestracja: 2006-02-11, 15:16
Lokalizacja: Wrocław
Kontakt:

Re: [Rozw.] Pakiety TXZ a upgrade systemu

Post autor: Juzef »

Oj, n00b z butów wystaje... Narzędzia potrzebne były we właściwej wersji, jedynie nie wpadłem na myśl, że nie mam zainstalowanego xz :) Jak to odkryłem, dalej poszło po prostej. Dzięki za oświecenie!
kajojj
Użytkownik
Posty: 8
Rejestracja: 2007-03-30, 13:26
Kontakt:

Re: [Rozw.] Pakiety TXZ a upgrade systemu

Post autor: kajojj »

Ten xz jest w jakieś paczce? Czy trzeba go kompilować?
largo3
Moderator
Posty: 1297
Rejestracja: 2006-06-11, 11:08

Re: [Rozw.] Pakiety TXZ a upgrade systemu

Post autor: largo3 »

kajojj, poszukaj w slackware/a/.
UNIX is basically a simple operating system, but you have to be a genius to understand the simplicity.
-- Dennis Ritchie
Linux Registered User #419452
kajojj
Użytkownik
Posty: 8
Rejestracja: 2007-03-30, 13:26
Kontakt:

Re: [Rozw.] Pakiety TXZ a upgrade systemu

Post autor: kajojj »

Dzięki :) szukałem w paczkach z rozszerzeniem *.txz, ale teraz tak sobie myślę że to by była mega głupota. Bo żeby instalować txz potrzeba mieć xz.
largo3
Moderator
Posty: 1297
Rejestracja: 2006-06-11, 11:08

Re: [Rozw.] Pakiety TXZ a upgrade systemu

Post autor: largo3 »

Ano taka mała rekurencja. :P
UNIX is basically a simple operating system, but you have to be a genius to understand the simplicity.
-- Dennis Ritchie
Linux Registered User #419452
carpathia666
Użytkownik
Posty: 29
Rejestracja: 2008-10-19, 11:46

Re: [Rozw.] Pakiety TXZ a upgrade systemu

Post autor: carpathia666 »

jak to jest z tymi .txz'ami, zainstalowalam wszystko jak w postach powyzej i dalej nie czyta?
dodam, ze korzystam z 13.0.
Awatar użytkownika
marco70
Moderator
Posty: 1106
Rejestracja: 2006-10-26, 19:03
Lokalizacja: K...l
Kontakt:

Re: [Rozw.] Pakiety TXZ a upgrade systemu

Post autor: marco70 »

Wszystko tzn. co? w Slackware-13.0 jest wszystko co potrzeba.Co masz na myśli czyta ?
Ostatnio zmieniony 2009-10-11, 10:59 przez marco70, łącznie zmieniany 2 razy.
slackware64-current
i5-9600K CPU @ 3.70GHz
carpathia666
Użytkownik
Posty: 29
Rejestracja: 2008-10-19, 11:46

Re: [Rozw.] Pakiety TXZ a upgrade systemu

Post autor: carpathia666 »

To znaczy: po poleceniu installpkg costam.txz mam ladny blad, w stylu ze:
Poniewaz nie jest to plik o rozszerzeniu *.tgz albo jakimstam nie mozna go obsluzyc.
Awatar użytkownika
marco70
Moderator
Posty: 1106
Rejestracja: 2006-10-26, 19:03
Lokalizacja: K...l
Kontakt:

Re: [Rozw.] Pakiety TXZ a upgrade systemu

Post autor: marco70 »

Sprawdź na początek czy masz zainstalowane takie paczki :

Kod: Zaznacz cały

pkgtools-13.0-noarch-3.tgz
tar-1.22-i486-2.tgz
xz-4.999.8beta-i486-1.tgz

Kod: Zaznacz cały

# ls /var/log/packages/{pkgtools-*,tar-*,xz-*}
slackware64-current
i5-9600K CPU @ 3.70GHz
carpathia666
Użytkownik
Posty: 29
Rejestracja: 2008-10-19, 11:46

Re: [Rozw.] Pakiety TXZ a upgrade systemu

Post autor: carpathia666 »

mam dokladnie te wymienione.
co z tym poczac?

ponadto: przy probie uruchomienia ekg otrzymuje komunikat:

Kod: Zaznacz cały

ekg: error while loading shared libraries: libpython2.4.so.1.0: cannot open shared object file: No such file or directory
choc python jest zainstalowany.

przy otwieraniu opery, conky i mplayera tez wyskakuja podobne bledy :/
Ostatnio zmieniony 2009-10-11, 22:12 przez carpathia666, łącznie zmieniany 2 razy.
Awatar użytkownika
marco70
Moderator
Posty: 1106
Rejestracja: 2006-10-26, 19:03
Lokalizacja: K...l
Kontakt:

Re: [Rozw.] Pakiety TXZ a upgrade systemu

Post autor: marco70 »

W Slackware-13.0 jest python w wersji 2.6 coś masz namieszane.Była robiona aktualizacja do slackware-13.0 ?
slackware64-current
i5-9600K CPU @ 3.70GHz
carpathia666
Użytkownik
Posty: 29
Rejestracja: 2008-10-19, 11:46

Re: [Rozw.] Pakiety TXZ a upgrade systemu

Post autor: carpathia666 »

sciagnelam 13.0 z sieci i zainstalowalam od nowa.
ODPOWIEDZ